
#ifndef __MGC3130__MGC3130_H__INCLUDED__
#define __MGC3130__MGC3130_H__INCLUDED__

	/* 構成 */
	struct mgc3x30_config {
		int							eint ;							/* 割り込み番号                          */
		int							mclr ;							/* MCLR ポート                           */
		int							eio0 ;							/* EIO0 ポート                           */
		int							count ;							/* キーコード数                          */
		u32							const *p_key_code ;				/* キーコード                            */
		int							const *p_gesture ;				/* ジェスチャーキー情報（NULL 時は無視） */
		int							const *p_touch ;				/* タッチキー情報      （NULL 時は無視） */
		int							const *p_airwheel ;				/* エアホイールキー情報（NULL 時は無視） */
		u32							size ;							/* ライブラリサイズ                      */
		u8							const *p_library ;				/* ライブラリ                            */
		u8							read_size ;						/* データ読み取りサイズ                  */
	} ;


#endif/*__MGC3130__MGC3130_H__INCLUDED__*/
